Introducing the Vypress Messenger

Vypress Messenger - The High-Tech Solutions for Real-Time Messaging!

Introducing the Vypress Messenger!

Vypress Messenger is a tool capable to help you to reduce the distance and save time. If you want to exchange the information with the friends and colleagues operatively and reliable, to correspond in real time via local network or Internet - our program is what you’ve so long searched for and, at last, have found! Best instant messaging solution for your LAN or intranet now here!

Fast messages sending to tens of friends.

Vypress Messenger uses all power of modern 32-bit multithreading operational systems for fast multithreading messages sending to several users. In most cases, you can send the message to 100 users as quickly, as to one.

Answer the messages, coming to you

Vypress Messenger allows you to answer the incoming messages easily and simply. You can simply and easily quote any fragment of the incoming message. For convenience of reading, the citations are automatically marked by familiar ">" - traditional for Internet "reply" symbol.

Do not leave your friends in loneliness - use AutoAnswer

Vypress Messenger allows your friends always be well informed about where you are and what you’re occupied by. You can simply and quickly make Vypress Messenger an answer machine, which will accept the messages in your absence and automatically answer them.

Use the Address Book to store and retrieve addresses

You can save names and addresses in your address book either by typing them in, or adding them from messages you receive. With its help, you will never forget addresses, and can protect yourself from undesirable contacts.

No servers! Only you, Vypress Messenger and your interlocutor.

Unlike some other similar programs, Vypress Messenger transfers the data directly from you to your interlocutor. No servers and services collecting information about you and your actions, any intermediate stops - only you, Vypress Messenger and your interlocutor.

We hope, you will like our program!
Thanks for choosing Vypress Messenger!
We are glad to answer any your questions.
All your offers on improvement of this program are important for us - write us - support@vypress.com !
Also, visit our site in Internet - http://www.vypress.com


Register your copy of Vypress Messenger

Order Vypress Messenger

Why do you need to register

  • Lifetime technical support! (with special e-mail reg_support@vypress.com )
  • FREE upgrade to new version!
  • Support us to make new version!
  • Notify about new version by e-mail!
  • No nags after 31 days!

Vypress Messenger Prices

  • 1 license - $15 US
  • 2 license - $25 US
  • 10 license - $100 US
  • 100 license - $650 US
  • 1000 license - $3000 US
  • Unlimited - $8000 US (please, contact us - sales@vypress.com )

How to order Vypress Messenger

  1. Through the World Wide Web. This is the fastest and easiest way. Your credit card information is sent directly to the credit card processor in a very secure manner, so that nobody else can see it. That protects you by ensuring that nobody but you and the credit card processor will see your card.
    To choice secure server from our site just click here.
  2. Fax or phone orders. As far as we know, this is toll free only for the United States. We're looking into an international toll free number, however for the time being it will be necessary to use the regular toll based number for international calls.
    Phone

    Toll Free: 877-353-7297
    Regular: 425-392-2294

    Fax

    Toll Free: 888-353-7276
    Regular: 425-392-0223

    A reminder about mail orders

    You should make checks payable to Universal Commerce, Inc., including the product's ID 1349-1 on the "memo" of the check. All order information except credit card information should be included in the order they mail to:

    Universal Commerce, Inc.
    ATTN Orders
    PO Box 1816 Issaquah, WA 98027
    USA

    Or you can send check in US Funds directly to VyPRESS Research. You should make checks payable to Konstantin Vyatkin. All order information except credit card information should be included in the order they mail to:

    Konstantin Vyatkin,
    VyPRESS Research,
    Moskvorechie, 19, corp. 4,
    Moscow, Moscow st., 115522,
    Russian Federation

  3. Wire Transfer. You can also use the wire transfer (to our bank account); contact VyPRESS Research ( sales@vypress.com ) for more details.

On payment approval (usually, in a few minutes after you'll register), we'll send you the registration key which will remove all limitations of unregistered version such as nag screens. Your registration will be valid for all future versions of VypressMessenger.

If you will not get your registration key within a reasonable amount of time (two business days for credit card payments or two weeks for other payments), please notify us about that! We're very sorry for any inconvenience caused by those delays.


Acknowledgements

We are grateful to our parents - Valentina and Valery Vyatkin's for they have given us a chance to get education in the best high schools of Russia (and, probably, the world) for their permanent support and kind advises.

Special thanks to:

  • Desyatov Roman
  • Alex and Vladimir Katalov
  • All our beta-testers
  • All our clients


VyPRESS Research Online

Please, visit our site in Internet - http://www.vypress.com !

Every time you can find on our site information about new version of VyPRESS's products, announces, new beta-versions, special offers and more.

Subscribe to information about new versions of Vypress Messenger
Enter your e-mail address:


Quick Start

This section explains the simple and quick procedures you should follow in order to begin using Vypress Messenger.

Vypress Messenger Main Window

To start using Vypress Messenger there are five simple steps that you should follow.

In the bottom window of Vypress Messenger type the message that you wish to send to one or more friends. Your message can contain any characters and can have a maximum length of 64k. If you defined an AutoSignature, then this signature will be appended to the bottom of every message that you send out.

To send your message, simply type in the address of the recipient in the Address Line (located on central splitter) or choose from an address from your address book by using the drop down menu.
Your message can be sent to individuals friends, group of friends or simply < All Users > (in this case message will be dispatched to all users outside of any groups). If you wish to see individual and group addresses in the drop down list, you must use the Address Book to define these addresses. Otherwise type the the addresses, if you wish to send to more than one address, separate by semicolon (;). It is important to note that Vypress Messenger uses the TCP/IP protocol, therefore when you enter an address, you should use the IP-address or the name of the computer from the DNS that you are sending to. You can also enter e-mail address of recipient to send message via SMTP protocol.

Vypress Messenger 2.1 can send and receive messages via UDP protocol and true broadcast messages (to whole your subnet). For sending message using UDP protocol just append symbols ":u" at and of address (for example 193.233.12.1:u or mydomain.com:u). If you setup in Preferences to utilize only UDP protocol symbols ":u" is not required. For sending broadcast message just enter address like "192.233.255.255:u")

Also you can specify recipient's Vypress Messenger's TCP/IP or UDP port. Simple enter address like "129.32.34.34:7778" or "somehost.com:1234" where 7778 and 1234 is port value. Example for UDP message: "129.32.34.34:7778u" or "somehost.com:1234u"

Once you have typed in the address of the recipient(s) press the "Send Message" button and your message will be sent.
If everything was correct and the addressee was located on the network, with Vypress Messenger (or compatible program) started, you will see a confirmation window (you can disable this confirmation window through the Preferences)
Message has been send succesfully!
When you see the confirmation window after sending your message, it means your message was delivered ok to the recipient(s). Unlike WinPopup, Vypress Messengers always confirms that a message was received successfully.
If for some reason an error incurred while delivering your message, because your address (or at least one of the several addresses) is not available on the network, or the recipient does not have Vypress Messenger running, or for any other reason the message did not arrive you will see a window like this:

Host(s) not found!
The address of the recipients that did not receive your message will be displayed in this window. Confirm the addresses by checking them and try resent your message.

The top window of Vypress Messenger you can see any incoming messages from your friends and collegues.

You can easily allow or disallow the messages that you receive by using the filtering system and the Address Book.
The very first line of the message contains date, time and day of the week that the message was received.
If the sender uses Vypress Messenger, then the second line of the message contains information about the Sender and Recipients of the message (e.g. you or the group the message was sent to). This line begins with the words "Message from" if the message was sent manually. If the message was sent automatically by the AutoAnswer feature of Vypress Messenger, you will see this text "AutoAnswer from".

To navigate through your messages, you can click on the left and right arrows to move easily through your messages, if you wish to delete the current message, you can use the delete button on the toolbar.

Here we have described the most simple and necessary features of Vypress Messenger to get you started. However Vypress Messenger offers much more, please read the documentation to find out more about the powerful features of Vypress Messenger and discover how you can customize it to your preferences.


Keyboard shortcuts

Tips & Tricks

Using Keyboard

You can use shortcut keys to use the Vypress Messenger's commands and navigate through your messages.

All windows, edit windows & dialogs
To do this | Press this
Select text fragment | Shift+left or right arrow
Copy the selections and put it on the Clipboard | Ctrl+C or Ctrl+Insert
Insert Clipboard contents | Ctrl+V or Shift+Insert
Cut the selections and put it on the Clipboard | Ctrl+X or Shift+Del
Undo last text action | Ctrl+Z

Edit and main window
To do this | Press this
Select all text | Ctrl+A
Go to previous message | Alt+left arrow ("<")
Go to next message | Alt+right arrow (">")
Delete current message | Alt+Del
Delete all incoming messages | Alt+Shit+Del
Send composed message | Alt+Enter or Alt+S
Toggle AutoAnswer | Alt+A
Minimize main window | ESC
Check for new e-mail now | Ctrl+Alt+M
Open Help | F1
Close Vypress Messenger | Alt+F4
Navigate trough Vypress Messenger | TAB and Shift+TAB
Drop-down user list | F4
Go to Vypress Messenger menu | Alt or F10 or Alt+underline letter
Save current message text to file | Ctrl+S
Recall previous outgoing message text | Alt+Page Down
Recall next outgoing message text | Alt+Page Up

Address Book
To do this | Press this
Add new user | Insert
Create new group of users | Ctrl+Insert
Delete selected user(s) or group(s) | Del
Go to selected group | Enter
Modify parameters of selected user | Enter
Go to one level up | Backspace
Activate/Deactivate selected user(s) or group(s) | Space
Select all item in current group | Ctrl+A
Refresh Address Book | F5


Address Book

The address book is one of the most important components of Vypress Messenger. With its help you can quickly and easily get access to addresses of your friends and familiar, organize them in various groups, relieve yourselves of undesirable contacts and comrades, which have "tired" you, etc.

Open Address Book

To open Address Book, you can take advantage of the appropriate item of the menu View, or use the button on the Toolbar. After any of these actions you will see here this dialog:

Address Book Dialog

Thus in heading of a window of dialog the amount of the users and groups in the current group is written. In the top the dialog is located the dropping out list of the users groups and toolbar. On the right below there is a button of an exit from dialog - Close.

Specify an element, interesting for you, of this dialog for reception of the additional information about it.

Adding new user

To add the new user in the Address Book, you can use two ways.

1) Press the button New User ( New User) The toolbar in dialog of the Address Book or key Insert. After that the following dialog will appear:

Adding new user

In this dialog, it is necessary to you to enter the following information:

User name: | In this line, it is necessary to you enter a nickname for the again created user (or his present name - all completely depends on your desire). Maximal length of a name of the user can be 255 symbols, however we not recommend to make a name too long, since it will be not completely displayed in the list of a choice of the users in the main Vypress Messenger window. In a name of the user, it is forbidden to enter symbols " \/: *? " < > |;" (point from a point).
User host: | In this line, it is necessary to enter the address of the user. Since Vypress Messenger uses TCP/IP protocol, it is necessary to enter the IP-address (for example, 193.234.45.13). However, if you use DNS (for example in Internet), it is possible to enter domain name (for example dezcom.mephi.ru). Besides in a local network Microsoft you can use as addresses a name of the computer from "Network Neighborhood". Vypress Messenger 2.1 also can send e-mail messages and you can enter e-mail address as "User host". This feature allow you easy create mailing lists - just make a group from users with e-mails in "User host" parameter.
Group: | In this list you can choose group in which the user will be created, when you will press the button Add, or where it will be displaced, if you will press the button Modify (button Modify is active only if you have come in this dialog by double clicking on the available user or by pressing a key Enter). By default in this list the current group is always chosen, and if you do not have any group - which the user is created outside of any group (Outside Any Group).

2) [image] The second way is easier, but they can take advantage only if you want to add in Address Book the sender of the incoming message.

To add the sender of the current message in Address Book, choose from the menu Message item Add sender to... and further choose or name of group, available in Address Book, of the addresses, or choose one from standard items of the menu:

Outside Any Group | At a choice of this item new of the user will be created outside of any group and at once will occur in the dropping out list of a choice of the addresses. Thus, it is meaningful to add only users with which you rather regularly are going to write.
Junk Senders List | At a choice of this item the user will be added in inactive group "Junk Senders" (senders of unwanted messages). If you have removed this group (and it is automatically created at installation of the program) - that it again will be created. Thus you can quickly and it is simple add of the sender of the received message in number of the people, from which you will not receive the messages (" the deny list " or "block list"), until then while independently do not remove them from group Junk Senders.

At a choice of any group from the list, the new user will be created in the chosen group. In case in Address Book already there is a user with the same name, as well as the sender of the current message will be requested from you in addition confirmation on change of the address of the user.

Confirmation of user address overwriting

Change of the information about the user

To change the information on any user (for example his address or nickname) from Address Book, it is necessary to you to choose him with the help of the mouse or keyboard, and then to click on him two times or to press a key Enter. Thus, you will get in dialog similar to dialog of creation of the new user, except that now will be accessible to you the button Modify.

Creation of new group of the users

The creation of groups of the users is an opportunity that it can to you be necessary if you rather actively correspond with the friends and colleagues, using Vypress Messenger. Generally, if you in Address Book have of addresses of the users and you to not have not enough periodically to send the message only elected from them, you quite can do without and creation of groups. But if you want to achieve the greater flexibility in ways of sending of the messages, or you have a lot of friends incorporated by various interests - of group it that can essential facilitate to you use Vypress Messenger.

To create new group press the button Add New Group ( Add New Group) on toolbar in Address Book dialog or combination of keys Ctrl + Insert. The given button will inaccessible if you already are in any group (Vypress Messenger does not suppose an enclosure of groups). In this case it is necessary to you to return on one level upwards by pressing the button Up One Level ( Up One Level), or key Backspace, or by choosing from the list of groups item Outside Any Group.

After pressing the button the group with a name by default My Group (or My Group1 will be created, if My Group already exists etc.), for which it is necessary to you to enter a new name (action practically are completely similar to creation of a new folder in Windows Explorer)

In a name of the group, it is forbidden to enter symbols " \/: *? " < > |;".

The name of group can not be longer than 255 symbols.

Now to add the new user in the created group proceed in it (by double clicking on it, or by pressing a key Enter) and further be guided by item "Adding new user".

Removal of the user or group of the users

To remove the user or group allocate them with the help of the mouse or keyboard and press the button Remove Item ( Remove Item) The panel of tools in Address Book dialog or key Del on the keyboard. Thus, the additional confirmation will be requested from you.

ATTENTION! At removal of group will be non-recoverable the addresses of all users are lost which were only in this group. Be attentive!

Navigation between groups

To proceed from any group in anyone another to you it is necessary or:

  1. To choose necessary group to you it is necessary or with to double-click on group, interesting for you or to choose interesting group with the help of the keyboard (using keys Tab, arrows upwards and downwards) and to press a key Enter. This way is convenient for applying when you are not in any group.
  2. Alternatively, to choose group, interesting for you, from the Dropping list at the top of a window.

To return upwards from any group press the button Up One Level ( Up One Level), or a key Backspace, or choose from the list of groups item Outside Any Group.

Deactivating and activating of the users (for what check-box are necessary)

In Address Book the powerful mechanism for the control of the rules of acceptance of the messages is stipulated. The access to opportunities for an interdiction to any user (or group of the users) to send you the message, occurs thanking switches (check-boxes) near to a name of each user (group). Depending on a condition of these switches, the following situations are possible:

The switch glad with a name of group is switched-off (group is deactivated) | In this case, messages from any of the members of this group will not be displayed. Pay attention, if you disconnect at yourselves reception of the messages from any of the user or group, the message will not be simple at you to be displayed (and if in dialog of a filtration the option of record in a file is included, the message will be written down in a file), but user its sent in any way it can not determine (i.e. the sending program will inform that the message successfully has reached). Besides the switching-off has a priority before inclusion, i.e. if the user with the given name somewhere is switched off, the message from it will not be shown, even if in any other group it is included. Besides, the name of this group will not be displayed in the list of a choice of the addressees in the main window of the program.
The switch near to a name of group is on (group is active) | The messages from all not switched-off members of group will be displayed in a normal mode.
The switch near to a name of the user is switched off (user is deactivated) | The messages from the given user to be displayed will not be. Besides, the name of this user will not be displayed in the list of a choice of the addressee in the main window.
The switch near to a name of the user is on (user is active) | If this user is not deactivated in any other group, the messages from him are displayed, and if he to be in Outside Any Group, his name, besides occurs in the list of a choice of the addressees in the main window of the program.

About other ways of prevention of reception of the undesirable messages, and in more detail about system of a filtration of the messages in Vypress Messenger, you can read in section about settings of Filtration dialog.


Menus & Toolbar

Menu & Toolbar

The Vypress Messenger menu contains four sections - Message, Edit, View and Help. With the help of the menus, you can easily access all components of the program.

The most necessary commands can be found on the Vypress Messenger toolbar. You can move this toolbar and place it where you want for your convenience (The toolbar can be placed in each corner of the Vypress Messenger window or taken out and placed anywhere on your screen).

Vypress Messenger ToolBar

The following commands (from left to right) are on the toolbar:

Previous | Go to the previous message
Next | Go to the next message
Delete | Delete the current message
Cut | Deletes selected data from the message and moves it to the clipboard.
Copy | Copies selected data from the message to the clipboard.
Paste | Pastes data from the clipboard into the text of current message.
Address Book | Opens Address Book dialog
Preferences | Displays Preferences dialog
About | Displays the copyrights, version number and registration information of this application.

This section of the help file throughly describes the commands of the menus and the toolbar.


Message Menu

Menu "Message"

This menu are assembled the functions carrying to messages management - navigate between messages, removal, etc. Below all of them are given by way of their arrangement in the menu (from above downwards):

Send message | Shortcut: Alt+Enter
This menu item send message to recipient. It is act like "Send message" button in main window.
Send as high importance message |
Vypress Messenger with attention mark This menu item acted like previous but sended message marked as "High importance". High importance messages involved Vypress Auvis to bring to front and Vypress Messenger to display attention mark (red "!") on central splitter. If you send e-mail as high importance message it appear in message client with program specific attention.
Previous | Shortcut: Alt+left arrow
On this command the transition to the previous received message is carried out. I.e. in the top part of the main window of the program the message is displayed which was received before what is displayed now, and in the bottom window of input there is a text already prepared for the answer (i.e. marked by symbol " > ") (if you something have entered in the bottom window and have not sent yet or have not removed the entered text, the text of the message in it to occur will not be). The given command is inaccessible, if the very first message is already displayed, or if there is only one message.
Next | Shortcut: Alt+right arrow
On this command the transition to the following received message is carried out. I.e. in the top part of the main window of the program the message is displayed which was received after displayed now, and in the bottom window of input there is a text already prepared for the answer (i.e. marked by symbol " > "). The given command is inaccessible, if last message is already displayed, or if there is only one message.
Delete | Shortcut: Alt+Delete
This command deletes the message displayed in the current moment in the top window of the program. Pay attention that the given operation cannot be cancelled and any confirmations will not be requested! After removal of the message, the transition to the previous message will be carried out, if it is present, or to the following message, if the very first message leaves. If you delete sole stayed the messages, the automatic minimization of the main window of the program - for this purpose is possible it is necessary to include the appropriate option in dialogue of adjustment of the interface Vypress Messenger (by default it is switched - off).
Add sender to... |
The given command is intended for fast addition of the sender of the current message in the Address Book. In more detail about it is written in the description of functions of the Address Book. The given command is inaccessible, if in the current moment there are no messages.
Discard all messages | Shortcut: Alt+Shift+Delete
The given command deletes all messages, stored in the current moment. As thus it is possible simultaneously and for ever to remove a plenty of the information, in addition will be requested from you confirmation of this operation.
Exit | Shortcut: Alt+F4
This command closing Vypress Messenger and termination acceptance of messages. Irrespective of a condition of the switch in Interface Preferences dialog of the program the exit will be carried out at once and without confirmations.


Menu "Edit"

The Edit menu offers the following commands:

Undo | Shortcut: Ctrl+Z
Reverse previous editing operation.
Cut | Shortcut: Ctrl+X or Shift+Del
Deletes data from the active text area and moves it to the clipboard.
Copy | Shortcut: Ctrl+C or Ctrl+Insert
Copies data from the active text area to the clipboard.
Paste | Shortcut: Ctrl+V or Shift+Insert
Pastes data from the clipboard into the active text area.
Select All | Shortcut: Ctrl+A
Selects all the text in the active text area.


View Menu

Menu "View"

The View menu offers the following commands:

Toolbar
Toolbar is On
Toolbar is Off

This menu item shows or hides the toolbar in the main Vypress Messenger window. You can hide or unhide the toolbar according to your preferences.
Status Bar
Status Bar is On
Status Bar is Off

This menu item shows or hides the Status Bar. The Status Bar provides additional information while you use Vypress Messenger, this information includes the time it takes to send a message, message processing information and any errors that may incurred whilst sending a message. You can turn the Status bar on and off.
Address Book...
This menu item opens the Address Book. To find out more about the functionality of the Address Book please click here.
Preferences
This menu item opens the Vypress Messenger Preferences.
Pop up on message receipt
traymenu.gif (9226 bytes) If you prefer to keep Vypress Messenger minimized, you can have your messages pop up on screen upon arrival. Simply enable this option and Vypress Messenger will open up and display your messages as they arrive. If you have enabled this option and have AutoAnswer selected then the program will remain minimized. This option is disabled by default.


Vypress Messenger Settings

Preferences

You may start using Vypress Messenger immediately after installation without having to configure it. However, with some small configuring of the program, described in this section, you can get the full power of Vypress Messenger and utilise it to its capacity.


General
*** User Information ***
Your Full Name: In this line you can enter a name or nickname that appears for the recipients of your messages, usually in this field you would enter your first and last name. This name will be displayed in the line "Message from.. " of your messages when received by the recipient(s).
Your System Name: In this line it is necessary to enter the name of your computer. In the future versions, this name will be used also for any other objectives, therefore it is recommended to keep it to what it is written by default.
Your AutoSignature: In this line you can enter a line, which will be automatically appended to all your outgoing messages (this text can be your contact information or just any message that you want to send out with all your messages).
Your E-Mail Address Enter your e-mail address in this field. Your e-mail address used as sender address while your sending e-mail via Vypress Messenger.
*** Network Settings ***
Your TCP/IP address: This is an "info only" field that shows your TCP/IP address.

TCP & UDP Port: In this line you can enter a TCP/IP and/or UDP port, which will use Vypress Messenger.

To understand, that such of TCP/IP (or UDP) port, imagine, that to each person have allowed to select some last digits in number of their telephone - so that in this situation to ring up the person, it is necessary to know, what digits he has selected. Or it is simples to all people to select identical digits. Just so and a TCP/IP port - you can select any number from 1 up to 65535 (however numbers up to 1000 it is not recommended), but then, that you could send the message, the person should use it sending just the same number of a port. Or you can use number by default and nothing to change (it is variant it is recommended). Number 7777 is used by default in programs Vypress Messenger and NetPopup.

You can interchange this value for safety reasons (that you could be written only by insiders), or if it requires your system manager.
Delay, ms: This parameter sets an amount of time in milliseconds (one thousandths of a second) during which Vypress Messenger will try and send your message. If this number is set to a small value, then Vypress Messenger may not have enough time to send your message and may fail in sending the message, and if this value set too high then you may be waiting for a long time as Vypress Messenger tries to send your message.
The recommended time to send messages in a local area network as default is 3000ms or 3 seconds and for Internet it is 60000ms or 1 minute.
Utilize this Internet Protocol(s): You can select protocols which Vypress Messenger used. Vypress Messenger version prior 2.1 can use only TCP protocol and for compatibility reason it is recommended to select option "Both". If you select utilizing only TCP protocol you can't send/receive broadcast and UDP messages.


Interface
*** When you press close program button ***
You can select the type of response on pressing of the button of closing of the program
Ask confirmation for close program The additional confirmation of closing of the program will be requested from you.
Minimize window The button of closing of the program will work as well as the button of minimization. To leave from the program to you it is necessary to take advantage of the Message\Exit choice.
Close program without prompting The program will be closed without additional confirmations.
***************************************
Don't display 'OK' if send successfully The inclusion of this option will cause that Vypress Messenger will not show the window

if the message successfully has reached a target. In this mode the windows with the information on errors will be mapped only. Besides the message "Message has been send successfully! " will occur in status bar.
Don't go automatically to last received message This option allow Vypress Messenger to process new incoming messages like WinPopup - i.e. don't change current message point when new message arrived.
Use files to automatically saving and restoring messages If this option is on then when messages are received they will be automatically saved so as to not lose them. This option prevent Vypress Messenger to keep messages while Windows rebooted or program closed, etc.
Minimize program when last message deleted The switching-on this option will cause that the Vypress Messenger's main window will be minimized for want of deleting of the last message.
Play this sound when new message arrived: In this item you can include possibility to lose a sound for want of obtaining of the new message and also to indicate the file (with the .wav extension), which will for want of it be lost. If you do not have sound card, the signal will be output through a built-in system speaker.


Filtering
*** Rules for messages filtering ***
This page is intended for such high-power possibility Vypress Messenger as filtering of the messages, i.e. possibilities to not show some messages falling under specific parameters. As far as we know, Vypress Messenger as of today unique of the similar class of programs capable to filter the messages on an input any of a word, to filter the duplicated messages and messages from the unknown users. In case any message is filtered, it is not simple mapped at you, but the program, sending it, will consider, that the message successfully has reached. Vypress Messenger allows you to use one or several following types of filtering:

Filtering on entry any of a word:

This type of filtering allows to not show the messages containing any word. To take advantage of this possibility, it is enough simple to enter words of the message with which you do not wish to see in the upper window of input on this page, dividing their comma or translation on this line. The register of words entered in this dialogue is not important.

Filtering of the duplicated messages:

This type of filtering allows mapping only first from the several contract of the absolute identical sent messages. For inclusion of this type of filtering it is necessary to you simple to include the appropriate switch on this page. The given type of filtering implements simples matching of the text of the come message with the text of the message, displayed in the present situation. In case of coincidence the come message is not mapped. So that if you delete the message earlier, than you one more will come precisely same, the come message will be again displayed. We recommend to not delete at once message, and to do it for want of accumulation of the several various messages.

Filtering of the messages from the single users from an address book:

This type of filtering allows to not accepting the message from deactivated users. Look in section "Address Book" more in detail.

Filtering of the messages from the users not brought in an address book:

This type of filtering allows to not accepting the message from the users not located in your address book. The appropriate switch on this page includes the given type of filtering. Pay attention, that not the address of the sender and availability of record in an address book conterminous to the system name of the sender is compared. It is caused by that there are dynamic IP-addresses, and also possible support of the several protocols in following versions Vypress Messenger. To add the person in an address book from it by the system name it is easiest to take advantage of the appropriate Message choice.
Don't display duplicated messages This switch includes or switches off filtering the duplicated messages.
Allow message receive only from Address Book-know users

 The given switch includes filtering the messages from the users not brought in your address book.
Allow receiving the UDP acknowledgements
 This option need to check if you want control passage of messages sended via UDP protocol (UDP in general don't allow guaranteed checking message transferring - by this reason Vypress Messenger and Vypress Auvis sends call back messages with confirmation).
Save outfiltered message(s) to file:

 This switch allows saving the not displayed (filtered) messages in the file, selected by you, so that you then could with them be acquainted. The given file is a plain text file, approximately such sort:

< ... >

*******************************************

Duplicated Message

*******************************************

February 27, 1998, Friday, 3:26:01, 3:26:01

Message from Popov Pavel to < All Users >.

REJOIN!!!!!!!!!!!!

/ Woodpecker /

*******************************************

Message with string "SURE"

*******************************************

February 27, 1998, Friday, 3:26:01, 3:26:01

Message from Vyatkin to SAM_TAKOI/1.0.0.1.

are you sure?

*******************************************
< ... >
I.e. as you see a format of record the following: the separator (characters " * "), then header with the indication of the reason, on which given message has got in this file, then message.

By default the given possibility is included also all filtered messages are written in the outfiltered.txt file in a directory of start Vypress Messenger.


E-Mail
*** Mail Notifications Settings ***
This page is intended for setting Vypress Messenger on periodic check for new mail in your mailbox. In current version Vypress Messenger can check mail only on POP3-servers, without the ciphered passwords. We planing support for APOP and ciphered passwords, SSL and IMAP4 servers in the future versions of the program.
Check for new mail every nn minute(s): This option specifies whether to check you e-mail server for new messages at the specified interval of minutes. This switch is inaccessible, while you have not entered correct parameters into a field of input of the first address and password.

After inclusion of this switch, through the interval, given by you, in minutes (from 1 minute till 2 hours) Vypress Messenger will in a background connect to your POP3-server, in a case if to you the new mail has come, in notify area on taskbar (near to hours where also to be a Vypress Messenger icon) to appear an additional icons:

You have 2 new messages in mailbox kostya@vypress.ru

If you set the check of mail in two mailboxes, the same icon is exact, but with figure "2" will occur in case of presence of mail in the second box.

If you click the right button of the mouse on this badge to appear the context menu:

Context menu for mail icon

from which you can start the mail program (Read Mail - that most what to click two times on this icon. This item will be inaccessible, if you have not indicated the mail program in customizations of this dialog), to stop automatic check of new mail (Don't check anymore), to call this dialog of set-up of check of mail (Settings), or simple to hide this icon.

In case the server in yours of e-mail the address is given incorrectly, or for any other reasons to it was not possible to be connected, or there were any other problems for want of to check of mail, in same area other badge will be output:

Unable to connect with mailserver badguy@badhost.org!

The pop-up help at this icon contains the information what is concrete happened - the POP3-server is not found (as in case on a figure above - it was not possible to incorporate from servers badhost.org), the password, or any internal error TCP/IP is incorrectly entered.
Play sound when new messages arrives: For want of inclusion of this option Vypress Messenger will lose a system sound New Mail Notification, if to you the new mail has come, and system sound Exclamation, if there was an error during check of mail.

Pay attention - the system sounds are reproduced! The sound the Microsoft Outlook Express program (for the same objectives) uses as New Mail Notifications. To change this sound to you it is necessary to take advantage of "Control Panel" and icon "Sounds"

Changing "New Mail Notification" Sound

If you do not have sound card, in both these cases the system sound through a built-in system speaker will be reproduced.
E-mail Program: Here you can indicate the program for reading the computer mail, which will be started, if you twice click on a badge of new mail. If you will not indicate the program for reading e-mail, the double click on this badge will be equivalent to a choice of the "Hide mail icons" choice.

TIP:

If you want to use Microsoft Internet Mail as the mail program, enter here I follow a line:

"C:\WINDOWS\EXPLORER.EXE" /root, C:\WINDOWS\Internet Mail. {89292102-4755-11cf-9DC2-00AA006C2B84}

Naturally, by replacing C:\WINDOWS in name of a directory, in which at you Windows is installed.

If you use Microsoft Outlook 98 it is recommended to enter line like following:
"C:\Program Files\Microsoft Office\Office\OUTLOOK.EXE" /recycle

To use Netscape Messenger as your e-mail client enter line like following:

"C:\Program Files\Netscape\Communicator\Netscape.exe" -mail
*** Mail Server(s) Settings ***
POP3 Server: In this line you owe purely and enter the address of POP3 server, on which the new mail will be checked up. Also, you can specify POP3 server port by using ":", e.g. 10.10.10.10:125. In general, it is last part of your e-mail address, i.e if you have address konstantin@vypress.com your POP3 server is "vypress.com".
User name: In this field you need to enter your user name on POP3 server. In general, it is first part of your e-mail address, i.e if you have address konstantin@vypress.com your user name is "konstantin".
Password: In this the graph it is necessary to you to enter your password on a POP3-server.
Second mailbox: For your convenience, we have entered possibility to check up availability of new mail at once in two mailboxes is it happens it is necessary, if you have, for example, working and personal letter box, or it is simples behind one computer two persons under the same name of the user periodically work.

To include check of mail in two boxes, it is necessary to you to include the switch near to this item and to enter second of e-mail the address, is exact in the same sort as well as first.
Check Now! This button is intended for fast validation of your customizations in this dialogue. For want of it pressing the check of availability of new mail happens, just so as well as in case when it happens through a specific slice of time.


Help Menu

Menu "Help"

This menu option will give you information on the functionality and how to use Vypress Messenger.

Contents and Index | Shortcut: F1
This command calls the Help file
Visit Vypress Messenger Web Site |
This command will start your default web browser and open the Vypress Messenger Home Page - http://www.vypress.com
Register... |
This command allows you to register Vypress Messenger with the registration code you have received from VyPRESS Research. We hope you use the registration command sometime. Detailed information about registration process is located in the "Register your copy of Vypress Messenger". You may start the registration process at any time when Vypress Messenger is running. If registration fails, you may continue working in unregistered mode. If registration completes successfully you will find your registration information in the About dialog.
About... |
This command displays dialog with information about the Vypress Messenger version and build number, copyright and registration information.


Using accessibility features

Using accessibility features in Vypress Messenger

In addition to Microsoft Windows, Windows NT, and Windows 95 accessibility products and services, the following features make Vypress Messenger more accessible for people with disabilities.

Using sounds

If you have cognitive disabilities, you may want to clear this check box to prevent distractions. If you are blind, you may want to clear this check box or selectively download sounds so that they do not interfere with a screen reader reading text aloud.

Resizable main windows of Vypress Messenger

You may resize main window of Vypress Messenger as you needed. It possible to display only window with incoming or outgoing messages.

Keyboard access

All features in Internet Explorer are accessible to you by using the keyboard or the mouse. For more information about keyboard access, look up "keyboard shortcuts" in the Help Index.

Work pretty good with large fonts and high contrast

Vypress Messenger extensively tested on large fonts and high contrast modes to make you work as comfortable as possible.